Bug 1314497 - SELinux is preventing gnome-keyring-d from 'create' accesses on the directory keyring.
SELinux is preventing gnome-keyring-d from 'create' accesses on the directory...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
x86_64 Unspecified
high Severity medium
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:06e367084e7a489913aca871e30...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 13:51 EST by Neil
Modified: 2016-12-20 14:13 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:13:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neil 2016-03-03 13:51:20 EST
Description of problem:
SELinux is preventing gnome-keyring-d from 'create' accesses on the directory keyring.

*****  Plugin catchall (100. confidence) suggests   **************************

If cree que de manera predeterminada, gnome-keyring-d debería permitir acceso create sobre  keyring directory.     
Then debería reportar esto como un error.
Puede generar un módulo de política local para permitir este acceso.
Do
permita el acceso momentáneamente executando:
# grep gnome-keyring-d /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:passwd_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:user_tmp_t:s0
Target Objects                keyring [ dir ]
Source                        gnome-keyring-d
Source Path                   gnome-keyring-d
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-158.7.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.4.2-301.fc23.x86_64 #1 SMP Tue
                              Feb 23 19:00:38 UTC 2016 x86_64 x86_64
Alert Count                   1
First Seen                    2016-03-01 09:28:46 COT
Last Seen                     2016-03-01 09:28:46 COT
Local ID                      4c4b169f-5ede-4d6a-8286-198fd149568f

Raw Audit Messages
type=AVC msg=audit(1456842526.801:236): avc:  denied  { create } for  pid=1032 comm="gnome-keyring-d" name="keyring" scontext=unconfined_u:unconfined_r:passwd_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_tmp_t:s0 tclass=dir permissive=0


Hash: gnome-keyring-d,passwd_t,user_tmp_t,dir,create

Version-Release number of selected component:
selinux-policy-3.13.1-158.7.fc23.noarch

Additional info:
reporter:       libreport-2.6.4
hashmarkername: setroubleshoot
kernel:         4.4.2-301.fc23.x86_64
type:           libreport

Potential duplicate: bug 1243733
Comment 1 Miroslav Grepl 2016-03-07 02:09:17 EST
Neil,
do you have a reproducer for this issue?
Comment 2 Neil 2016-03-07 10:47:37 EST
Not really, it is a fresh minimal install with Cinnamon, whenever I try to use Geary, or ABRT or any other software that tries to use the keys deposit, it'll not work.
Comment 3 Fedora Admin XMLRPC Client 2016-09-27 10:59:36 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2016-11-24 10:54:44 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 14:13:24 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.